Summary: A journal or "blog" client
Name: drivel
Version: 2.0.2
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
Url: http://www.dropline.net/drivel
Source: %{name}-%{version}.tar.bz2
Patch0:	drivel-2.0.2-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: scrollkeeper
BuildRequires: gtkspell-devel 
BuildRequires: libgnomeprint22-devel
BuildRequires: libxml2-devel
BuildRequires: rhythmbox
BuildRequires: GConf2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libbonobo-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: gtksourceview-devel
BuildRequires: curl-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
Requires: glib2 >= 2.4.0
Requires: gtk2 >= 2.4.0
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Drivel is an advanced journal client for the GNOME desktop.  It had been 
designed with usability in mind, and presents an elegant user interface.
Supported journal types include LiveJournal, MovableType, Blogger, Atom,
and Advogato.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-schemas-install --disable-mime-update --disable-desktop-update --with-curl-libraries=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install --vendor gnome --add-category X-Fedora --dir $RPM_BUILD_ROOT/%{_datadir}/applications $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-drivel.desktop

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/drivel.schemas > /dev/null
if (update-mime-database -v &> /dev/null); then
  update-mime-database "%{_datadir}/mime" > /dev/null
fi
if which scrollkeeper-update > /dev/null 2>&1; then 
	scrollkeeper-update -q -o %{_datadir}/omf/drivel
fi
if (update-desktop-database -v &> /dev/null); then
  update-desktop-database -q > /dev/null
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/drivel.schemas >/dev/null
fi
exit 0

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/drivel.schemas > /dev/null
fi
exit 0

%postun
if (update-mime-database -v &> /dev/null); then
  update-mime-database "%{_datadir}/mime" > /dev/null
fi
if which scrollkeeper-update > /dev/null 2>&1; then
	scrollkeeper-update -q
fi
if (update-desktop-database -v &> /dev/null); then
  update-desktop-database -q > /dev/null
fi
exit 0

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README TODO
%{_bindir}/drivel
%{_datadir}/applications/gnome-drivel.desktop
%{_datadir}/application-registry/drivel.applications
%{_datadir}/drivel/
%{_datadir}/gnome/help/drivel/
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-drivel.png
%{_datadir}/mime/packages/drivel.xml
%{_datadir}/mime-info/drivel.keys
%{_datadir}/mime-info/drivel.mime
%{_datadir}/omf/drivel/
%{_datadir}/pixmaps/drivel-48.png
%{_datadir}/pixmaps/drivel/
%config %{_sysconfdir}/gconf/schemas/*

%changelog
* Mon Dec 26 2005 Paul W. Frields <stickster@gmail.com> - 2.0.2-1
- Update to 2.0.2

* Sun Jun 12 2005 Jeremy Katz <katzj@redhat.com> 2.0.0-3
- gconf schema removal, BR gettext, add Fedora category to the desktop file 
  (noticed by mschwendt)

* Fri Jun 10 2005 Jeremy Katz <katzj@redhat.com>
- fix up for fedora guidelines
- lots of buildrequires
- pass curl library dir as %%{_libdir} to workaround silly configure check
- own more directories (noticed by skvidal)

* Sun Jun 5 2005 Todd Kulesza <todd@dropline.net>
- Update for Drivel 2.0.

* Sun Jan 9 2005 Todd Kulesza <todd@dropline.net>
- Don't run ldconfig after install, Drivel doesn't include libraries.

* Sat Jan 8 2005 Todd Kulesza <todd@dropline.net>
- Use the new --disable-mime-update and --disable-desktop-update parameters.

* Mon Jan 3 2005 Todd Kulesza <todd@dropline.net>
- Run update-desktop-database after installation.
- Renamed the MIME icon and desktop entry.

* Thu Nov 25 2004 Todd Kulesza <todd@dropline.net>
- Fixed up the scrollkeeper install/uninstall code.

* Sat Aug 28 2004 Todd Kulesza <todd@dropline.net>
- Add a user manual.

* Sat Jul 31 2004 Todd Kulesza <todd@dropline.net>
- Add Shared MIME Database support.
